//DOM elements
function DOM(id) {

    return document.getElementById(id);
}


const input_empId = DOM("empId");
const input_empName = DOM("empName");
const input_siteId = DOM("siteId");
const input_siteVisitDate = DOM("siteVisitDate");
const input_siteLat = DOM("siteLat");
const input_sitelong = DOM("sitelong");
const input_siteVisitOrder = DOM("siteVisitOrder");
const input_distance = DOM("distance");
const input_userLat = DOM("userLat");
const input_userLong = DOM("userLong");
const input_userLntAddress = DOM("userLntAddress");



//var AllUserFTADetails = JSON.parse(localStorage.FTADetailsArray); // local storage

function GetUrlParameter(sParam) {
    var sPageURL = window.location.href;
    var url = new URL(sPageURL);
    var parameter = url.searchParams.get(sParam);
    return parameter;
}



var empId = GetUrlParameter("empId");
var siteVisitOrder = GetUrlParameter("siteVisitOrder");
var siteVisitedDate = GetUrlParameter("siteVisitDate");
var URL = "../php/FTA_Details.php";
var formdata = {
    empId: empId,
    siteVisitOrder: siteVisitOrder,
    siteVisitDate: siteVisitedDate,
    detailsType:"fullInfo"

};
 postData(URL, formdata).then(data => {
    console.log(data);
    input_empId.value = data[0].empId;
    input_empName.value = data[0].name;
    input_siteId.value = data[0].siteId;
    input_siteVisitDate.value = data[0].siteVisitedDate;
    input_siteLat.value = data[0].siteLat;
    input_sitelong.value = data[0].siteLng;
    input_siteVisitOrder.value = data[0].siteVisitOrder;
    input_distance.value = data[0].distance;
    input_userLat.value = data[0].userLat;
    input_userLong.value = data[0].userLng;
    input_userLntAddress.value = data[0].userLctn;

});
//var data=AllUserFTADetails[Arrayindex];

/*function DOM(id){
    
    return document.getElementById(id);
}


const empId = DOM("empId");
const empName = DOM("empName");
const siteId = DOM("siteId");
const siteVisitDate = DOM("siteVisitDate");
const siteLat = DOM("siteLat");
const sitelong = DOM("sitelong");
const siteVisitOrder = DOM("siteVisitOrder");
const distance = DOM("distance");
const userLat = DOM("userLat");
const userLong = DOM("userLong");
const userLntAddress = DOM("userLntAddress");
const FTA = DOM("FTA");
const siteLogin = DOM("siteLogin");
const siteLogout = DOM("siteLogout");
const siteLogoutCompleted = DOM("siteLogoutCompleted");
const uniqueId = DOM("uniqueId");

$.urlParam = function(name) {
  //to get pramaters from the URL refer this for full info. http://www.jquerybyexample.net/2012/06/get-url-parameters-using-jquery.html
  var results = new RegExp("[?&]" + name + "=([^&#]*)").exec(
    window.location.href
  );
  if (results == null) {
    return null;
  }
  return decodeURI(results[1]) || 0;
};
const empId = $.urlParam("empId");
const siteVisitedDate = $.urlParam("siteVisitedDate");
const siteVisitOrder = $.urlParam("siteVisitOrder");
console.log(site_id);
const sitesURL =
  ADD_SITE_BASE_URL+"searchsiteid";

postData(sitesURL, { siteid: site_id }).then(data => {
  let { siteinfo } = data;
  empId.value = siteinfo[0].empId;
  empName.value = siteinfo[0].empName;
  siteId.value = siteinfo[0].siteId;
  siteVisitDate.value = siteinfo[0].siteVisitDate;
  siteLat.value = siteinfo[0].siteLat;
  sitelong.value = siteinfo[0].sitelong;
  siteVisitOrder.value = siteinfo[0].siteVisitOrder;
  distance.value = siteinfo[0].distance;
  userLat.value = siteinfo[0].userLat;
  userLong.value = siteinfo[0].userLong;
  userLntAddress.value = siteinfo[0].userLntAddress;
  FTA.value = siteinfo[0].FTA;
  siteLogin.value = siteinfo[0].siteLogin;
  siteLogout.value = siteinfo[0].siteLogout;
  siteLogoutCompleted.value = siteinfo[0].siteLogoutCompleted;
  uniqueId.value = siteinfo[0].uniqueId;

  console.log(siteinfo[0].district);
});*/

//ToDo
//Convert URLPARAM function in javascript way then remove jquery Link
;;